curl --request GET \
--url https://app.leadconduit.com/events/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leadconduit.com/events/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leadconduit.com/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5fd4371e940df5a34a3888b2",
"outcome": "success",
"reason": "<string>",
"type": "source",
"vars": {},
"host": "<string>",
"start_timestamp": 123,
"end_timestamp": 123,
"firehose": {
"enabled": true,
"credential_id": "5fd4371e940df5a34a3888b2",
"bucket": "<string>",
"prefix": "<string>",
"services": {
"aws": {
"enabled": true,
"credential_id": "5fd4371e940df5a34a3888b2",
"bucket": "<string>",
"prefix": "<string>"
},
"azure": {
"enabled": true,
"credential_id": "5fd4371e940df5a34a3888b2",
"bucket": "<string>",
"connection_string": "<string>",
"prefix": "<string>"
}
}
},
"ms": 123,
"wait_ms": 123,
"overhead_ms": 123,
"lag_ms": 123,
"total_ms": 123,
"handler_version": "<string>",
"version": "<string>",
"cap_reached": true,
"flow_ping_limits": {
"id": "5fd4371e940df5a34a3888b2",
"name": "<string>",
"maximum": 123,
"duration": 123,
"duration_units": "<string>",
"time_zone": "America/New_York",
"created_at": "2023-11-07T05:31:56Z"
},
"source_ping_limits": {
"id": "5fd4371e940df5a34a3888b2",
"name": "<string>",
"maximum": 123,
"duration": 123,
"duration_units": "<string>",
"time_zone": "America/New_York",
"created_at": "2023-11-07T05:31:56Z"
},
"ping_limit_reached": true,
"expires_at": "2023-11-07T05:31:56Z",
"module_id": "leadconduit-salesforce.outbound.create_contact",
"package_version": "<string>",
"acceptance_criteria": {
"rule_set": {
"op": "and",
"rules": [
{
"lhv": "lead.state",
"op": "is equal to",
"rhv": "TX",
"id": "1aacd0",
"rule_set": "<unknown>"
}
],
"id": "0d144a"
},
"outcome": "failure",
"reason": "Lead must live in TX"
},
"step_count": 4,
"appended": {},
"request": {
"method": "POST",
"uri": "https://app.leadconduit.com/flows/5fd4371e940df5a34a3888b2/sources/6369a0e534c9d4ebe142e0ef/submit",
"version": "1.1",
"headers": {
"Content-Type": "application/json",
"Accept": "application/json"
},
"body": "{\"email\":\"johndoe@email.com\",\"phone_1\":\"5127891111\"}",
"timestamp": 123
},
"response": {
"version": "1.1",
"headers": {
"Content-Type": "application/json",
"Accept": "application/json"
},
"body": "{\"outcome\":\"success\",\"lead\":{\"id\":\"63cc6f0e55254d7d1c4c3037\"}}",
"timestamp": 123,
"status": 201,
"status_text": "Created"
}
}{
"error": "not authorized"
}Fetch a single event
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Path Parameters
ID of the event to get 24 character alpha-numeric BSON identifier
^[0-9a-fA-F]{24}$"5fd4371e940df5a34a3888b2"
Response
OK
- Source Event
- Recipient Event
- Filter Event
- Feedback Received Event
- Feedback Sent Event
- Retry Event
The source event is created after all steps have been processed. It represents the outcome of lead processing from the perspective of the lead source. A source event records the below properties in addition to the event properties shown above.
The unique identifier for an a lead event
^[0-9a-fA-F]{24}$"5fd4371e940df5a34a3888b2"
The outcome of the event
success, failure, error The reason for a failure or error outcome
Recorded after a source submits a lead to a flow
source All data available at the time LeadConduit started processing this event
The number of milliseconds elapsed since epoch at the start of the step processing
The number of milliseconds elapsed since epoch at the end of the step processing
Firehose configuration for exporting event data to cloud storage. Supports a legacy flat format (AWS S3 only) and a service-based format that allows multiple cloud storage providers.
Show child attributes
Show child attributes
The number of milliseconds that elapsed while processing the lead
The number of milliseconds that LeadConduit spent waiting for all recipients to respond
The number of milliseconds of overhead that LeadConduit added while processing the step
The number of milliseconds that elapsed since the lead was submitted
The version of the lead handler
The schema version of the event
The ping limit configuration is defined in a flow on a source, or directly on the flow itself. The configuration controls the behavior of the ping limit by setting the maximum and the duration. The counter for a ping limit is kept as a standalone record which shares ping limit's ID.
Show child attributes
Show child attributes
The ping limit configuration is defined in a flow on a source, or directly on the flow itself. The configuration controls the behavior of the ping limit by setting the maximum and the duration. The counter for a ping limit is kept as a standalone record which shares ping limit's ID.
Show child attributes
Show child attributes
The time this event will be automatically deleted from LeadConduit (events are retained for 90 days)
The integration module ID configured for the source
"leadconduit-salesforce.outbound.create_contact"
The semantic version of the integration package
The acceptance criteria configured on the source when the lead was processed
Show child attributes
Show child attributes
The number of steps processed for this lead (>= 0 and <= total number of steps)
4
All data appended while handing the lead
The inbound HTTP request
Show child attributes
Show child attributes
The inbound HTTP response
Show child attributes
Show child attributes